Error Running R-Studio Tech in Debian Linux

A forum on data recovery using the professional data recovery software R-STUDIO.
Data-Medics
Posts: 167
Joined: Tue Oct 20, 2015 10:13 am
Location: Providence, RI USA
Contact:

Error Running R-Studio Tech in Debian Linux

Post by Data-Medics » Thu Feb 15, 2018 6:14 pm

So I just moved to a new build of Linux which I'm likeing very much (Parrot Linux) which is a Debian build.

Installing R-Studio Tech seemed to go off w/o any issue but when I go to run it I get this error in terminal:

Code: Select all

┌─[root@parrot]─[/home/jared]
└──╼ #rstudio-tech
/usr/bin/rstudio-tech: 23: /usr/bin/rstudio-tech: Syntax error: "(" unexpected (expecting "fi")

Any ideas? I know in the past when I've had issues like this it was due to a missing dependancy package that wasn't declared, but I've never seen this error in Linux before with R-Studio.

Data-Medics
Posts: 167
Joined: Tue Oct 20, 2015 10:13 am
Location: Providence, RI USA
Contact:

Re: Error Running R-Studio Tech in Debian Linux

Post by Data-Medics » Thu Feb 15, 2018 6:18 pm

I've tried checking for any declared dependencies as follows:

Code: Select all

┌─[✗]─[root@parrot]─[/home/jared]
└──╼ #apt-cache depends rstudio-tech
rstudio-tech
  Depends: xdg-utils
I already have xdg-utils and at the latest version.

Alt
Site Moderator
Posts: 2370
Joined: Tue Nov 11, 2008 2:13 pm
Contact:

Re: Error Running R-Studio Tech in Debian Linux

Post by Alt » Fri Feb 16, 2018 4:32 pm

We're aware of this bug and fixing it urgently. Sorry for the trouble.

Alt
Site Moderator
Posts: 2370
Joined: Tue Nov 11, 2008 2:13 pm
Contact:

Re: Error Running R-Studio Tech in Debian Linux

Post by Alt » Mon Feb 19, 2018 2:21 pm

The new build should eliminate the problem.

Post Reply